Debian Bug report logs - #399214
solfege: Fails to upgrade (3.0.6-1 -> 3.6.3-1); cannot remove it as well

version graph

Package: solfege; Maintainer for solfege is Tom Cato Amundsen <tca@debian.org>; Source for solfege is src:solfege.

Reported by: Yavor Doganov <yavor@gnu.org>

Date: Sat, 18 Nov 2006 16:18:01 UTC

Severity: important

Found in version solfege/3.0.6-1

Fixed in version solfege/3.6.4-1

Done: Tom Cato Amundsen <tca@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, yavor@doganov.org, Tom Cato Amundsen <tca@debian.org>:
Bug#399214; Package solfege. Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@doganov.org>:
New Bug report received and forwarded. Copy sent to yavor@doganov.org, Tom Cato Amundsen <tca@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@doganov.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: solfege: Fails to upgrade (3.0.6-1 -> 3.6.3-1); cannot remove it as well
Date: Sat, 18 Nov 2006 18:06:25 +0200
Package: solfege
Version: 3.0.6-1
Severity: serious

The package fails to upgrade to the current version in testing:

Preparing to replace solfege 3.0.6-1 (using .../solfege_3.6.3-1_i386.deb) ...
Document `solfege' is not installed, cannot remove.
usage: update-python-modules [-v] [-c] package_directory [...]
       update-python-modules [-v] [-c] package.dirs [...]
       update-python-modules [-v] [-a|-f]

update-python-modules: error: /usr/share/solfege is not in the python-support directory.
dpkg: warning - old pre-removal script returned error exit status 2
dpkg - trying script from the new package instead ...
usage: update-python-modules [-v] [-c] package_directory [...]
       update-python-modules [-v] [-c] package.dirs [...]
       update-python-modules [-v] [-a|-f]

update-python-modules: error: /usr/share/python-support/solfege.dirs does not exist
dpkg: error processing /var/cache/apt/archives/solfege_3.6.3-1_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 2

Also it fails when attempting to remove it:

Removing solfege ...
Document `solfege' is not installed, cannot remove.
usage: update-python-modules [-v] [-c] package_directory [...]
       update-python-modules [-v] [-c] package.dirs [...]
       update-python-modules [-v] [-a|-f]

update-python-modules: error: /usr/share/solfege is not in the python-support directory.
dpkg: error processing solfege (--remove):
 subprocess pre-removal script returned error exit status 2

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-k7
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)

Versions of packages solfege depends on:
ii  libc6                        2.3.6.ds1-7 GNU C Library: Shared libraries
ii  python                       2.4.3-11    An interactive high-level object-o
ii  python-gnome2                2.12.4-5    Python bindings for the GNOME desk
ii  python-gnome2-extras         2.14.2-1+b1 Python bindings for the GNOME desk
ii  python-gtk2                  2.8.6-6     Python bindings for the GTK+ widge

solfege recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Tom Cato Amundsen <tca@debian.org>:
Bug#399214; Package solfege. Full text and rfc822 format available.

Acknowledgement sent to Tom Cato Amundsen <tca@gnu.org>:
Extra info received and forwarded to list. Copy sent to Tom Cato Amundsen <tca@debian.org>. Full text and rfc822 format available.

Message #10 received at 399214@bugs.debian.org (full text, mbox):

From: Tom Cato Amundsen <tca@gnu.org>
To: Yavor Doganov <yavor@doganov.org>, 399214@bugs.debian.org
Subject: Re: Bug#399214: solfege: Fails to upgrade (3.0.6-1 -> 3.6.3-1); cannot remove it as well
Date: Fri, 24 Nov 2006 23:53:52 +0100
Hello,
can you please send me the file /var/lib/dpkg/info/solfege.prerm ?

Tom Cato
-- 
Tom Cato Amundsen <tca@gnu.org>                 http://www.solfege.org/
GNU Solfege - free ear training    http://www.gnu.org/software/solfege/



Information forwarded to debian-bugs-dist@lists.debian.org, Tom Cato Amundsen <tca@debian.org>:
Bug#399214; Package solfege. Full text and rfc822 format available.

Acknowledgement sent to Ron Jensen <ron@jentronics.com>:
Extra info received and forwarded to list. Copy sent to Tom Cato Amundsen <tca@debian.org>. Full text and rfc822 format available.

Message #15 received at 399214@bugs.debian.org (full text, mbox):

From: Ron Jensen <ron@jentronics.com>
To: Tom Cato Amundsen <tca@gnu.org>
Cc: Yavor Doganov <yavor@doganov.org>, 399214@bugs.debian.org
Subject: Re: Bug#399214: solfege: Fails to upgrade (3.0.6-1 -> 3.6.3-1); cannot remove it as well
Date: Sat, 25 Nov 2006 15:01:36 -0700
[Message part 1 (text/plain, inline)]
Not the original reporter, but I see it too:

# dpkg -r solfege
(Reading database ... 216078 files and directories currently installed.)
Removing solfege ...
usage: update-python-modules [-v] [-c] package_directory [...]
       update-python-modules [-v] [-c] package.dirs [...]
       update-python-modules [-v] [-a|-f]

update-python-modules: error: /usr/share/solfege is not in the python-support directory.
dpkg: error processing solfege (--remove):
 subprocess pre-removal script returned error exit status 2
Errors were encountered while processing:
 solfege


Ron

[solfege.prerm (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tom Cato Amundsen <tca@debian.org>:
Bug#399214; Package solfege. Full text and rfc822 format available.

Acknowledgement sent to Tom Cato Amundsen <tca@gnu.org>:
Extra info received and forwarded to list. Copy sent to Tom Cato Amundsen <tca@debian.org>. Full text and rfc822 format available.

Message #20 received at 399214@bugs.debian.org (full text, mbox):

From: Tom Cato Amundsen <tca@gnu.org>
To: Ron Jensen <ron@jentronics.com>
Cc: Tom Cato Amundsen <tca@gnu.org>, 399214@bugs.debian.org
Subject: Re: Re: Bug#399214: solfege: Fails to upgrade (3.0.6-1 -> 3.6.3-1); cannot remove it as well
Date: Sat, 25 Nov 2006 23:20:26 +0100
On Sat, Nov 25, 2006 at 03:01:36PM -0700, Ron Jensen wrote:
> Not the original reporter, but I see it too:

First, do you still have the .deb for 3.0.6 lying around somewhere? For
example in /var/cache/apt/archives? If so, can you send it to me (no
need to cc the bts.)? I don't have the binary package around any longer,
and there are no guarantee that rebuilding the package create the exact
same package.

Does the file /usr/share/python-support/solfege.dirs exist?
If not, does it help if you create the file by running

# echo "/usr/share/solfege" > /usr/share/python-support/solfege.dirs

as root.

I am not sure what is causing this bug, but I think it is my fault doing
stupid things with python-support while trying to learn the new python
policy.

-- 
Tom Cato Amundsen <tca@gnu.org>                 http://www.solfege.org/
GNU Solfege - free ear training    http://www.gnu.org/software/solfege/



Information forwarded to debian-bugs-dist@lists.debian.org, Tom Cato Amundsen <tca@debian.org>:
Bug#399214; Package solfege. Full text and rfc822 format available.

Acknowledgement sent to Ron Jensen <ron@jentronics.com>:
Extra info received and forwarded to list. Copy sent to Tom Cato Amundsen <tca@debian.org>. Full text and rfc822 format available.

Message #25 received at 399214@bugs.debian.org (full text, mbox):

From: Ron Jensen <ron@jentronics.com>
To: Tom Cato Amundsen <tca@gnu.org>
Cc: 399214@bugs.debian.org
Subject: Re: Re: Bug#399214: solfege: Fails to upgrade (3.0.6-1 -> 3.6.3-1); cannot remove it as well
Date: Sat, 25 Nov 2006 21:54:59 -0700
On Sat, Nov 25, 2006 at 09:11:27PM -0700, Ron Jensen wrote:
> On Sat, Nov 25, 2006 at 11:20:26PM +0100, Tom Cato Amundsen wrote:
> > First, do you still have the .deb for 3.0.6 lying around somewhere? For
> > example in /var/cache/apt/archives?
> 
> I found a copy at http://apt.agnula.org/demudi/pool/main/s/solfege/  I'll attach
> it here in case its gone by the time you look for it.  Hopefully it's the one you
> built...
> 
> > Does the file /usr/share/python-support/solfege.dirs exist?
> 
> No, it does not.
> 
> > If not, does it help if you create the file by running
> > 
> > # echo "/usr/share/solfege" > /usr/share/python-support/solfege.dirs
> > 
> > as root.
> 
> No, didn't help
> 
> Ron


Tom,

I looked in /var/lib/dpkg/info/solfege.prerm and found the line:

 update-python-modules -c -b  /usr/share/solfege /usr/share/solfege

This is the line causing the error, I think.  In 3.6.3 this line reads

 update-python-modules -c -b solfege.dirs


Running the following command as root fixed the problem for me.

#sed -i 's!/usr/share/solfege /usr/share/solfege!solfege.dirs!' /var/lib/dpkg/info/solfege.prerm  

Ron




Reply sent to Tom Cato Amundsen <tca@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yavor Doganov <yavor@doganov.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 399214-close@bugs.debian.org (full text, mbox):

From: Tom Cato Amundsen <tca@debian.org>
To: 399214-close@bugs.debian.org
Subject: Bug#399214: fixed in solfege 3.6.4-1
Date: Fri, 08 Dec 2006 20:47:06 +0000
Source: solfege
Source-Version: 3.6.4-1

We believe that the bug you reported is fixed in the latest version of
solfege, which is due to be installed in the Debian FTP archive:

solfege_3.6.4-1.diff.gz
  to pool/main/s/solfege/solfege_3.6.4-1.diff.gz
solfege_3.6.4-1.dsc
  to pool/main/s/solfege/solfege_3.6.4-1.dsc
solfege_3.6.4-1_i386.deb
  to pool/main/s/solfege/solfege_3.6.4-1_i386.deb
solfege_3.6.4.orig.tar.gz
  to pool/main/s/solfege/solfege_3.6.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399214@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tom Cato Amundsen <tca@debian.org> (supplier of updated solfege package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  8 Dec 2006 20:39:34 +0100
Source: solfege
Binary: solfege
Architecture: source i386
Version: 3.6.4-1
Distribution: unstable
Urgency: medium
Maintainer: Tom Cato Amundsen <tca@debian.org>
Changed-By: Tom Cato Amundsen <tca@debian.org>
Description: 
 solfege    - Ear training program for GNOME2
Closes: 399214
Changes: 
 solfege (3.6.4-1) unstable; urgency=medium
 .
   * New upstream release that consists of only small (in number of
     changed lines) fixes we to go into etch.
   * Handle upgrade from 3.0.6-1 (closes: #399214)
Files: 
 ffe5e14321ae082f63262a7c26e87cc2 881 gnome optional solfege_3.6.4-1.dsc
 71401b22158410d95595c308c6fee714 2142795 gnome optional solfege_3.6.4.orig.tar.gz
 24d7fb5f2220157abe05eea6d2ef52a3 84533 gnome optional solfege_3.6.4-1.diff.gz
 ba006c135c89f66dff0eec33960fa863 1215030 gnome optional solfege_3.6.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFecr4gUP37qXkPqMRAjY/AKC9DJK3Co/bTkCB5q56kbAbRFph+wCgow9m
OdRNjErqntS2PqT9s9tpBTM=
=42X8
-----END PGP SIGNATURE-----




Severity set to `important' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Yavor Doganov <yavor@doganov.org> to Yavor Doganov <yavor@gnu.org>. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Fri, 30 Mar 2007 22:24:41 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 16:36:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:18:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.